Skip to main content
GET
Get receive status

Authorizations

Authorization
string
header
required

Base64url-encoded auth token

Path Parameters

identifier
string
required

Payment hash, invoice string or preimage to search for

Response

Returns the Lightning receive status

amount_sat
integer<int64>
required

The amount of the lightning receive, if known.

Required range: x >= 0
htlc_vtxo_ids
string[]
required

IDs of the HTLC-recv VTXOs granted by the server, if any.

Empty until the inbound HTLC has been received and prepared.

htlc_vtxos
object[]
required
deprecated

The HTLC VTXOs granted by the server for the lightning receive.

invoice
string
required

The invoice string, if known.

payment_hash
string
required

The payment hash linked to the lightning receive

state
string
required

Lifecycle phase of the receive: awaiting-payment, htlcs-ready, preimage-revealed, delivering, or settled.

finished_at
string<date-time> | null
deprecated

The timestamp at which the lightning receive was finished.

payment_preimage
string | null

The payment preimage, if known.

preimage_revealed_at
string<date-time> | null
deprecated

The timestamp at which the preimage was revealed.

settled_at
string<date-time> | null

The timestamp at which the receive settled, if it has.